{"openapi":"3.1.0","info":{"title":"UK EO DataHub Platform API","description":"API documentation for the UK EO DataHub platform","version":"0.1.0"},"servers":[{"url":"https://eodatahub.org.uk","description":"UK EO DataHub Platform Domain"}],"tags":[{"name":"Accounting API","description":"Returns resource consumption data and billing items, including prices, for workspaces within a specified time range."},{"name":"Commercial Data","description":"These APIs provide access to commercial data assets in the EO Data Hub. They also enable requesting quotes and purchasing data assets."},{"name":"Health Check Endpoints","description":"Returns the Health status for several endpoints in EO-Datahub"},{"name":"Metadata APIs for data - finding and accessing data","description":"Use these APIs to discover and retrieve **public** and **private** datasets in the EO Data Hub platform via the STAC Catalogue service. After locating dataset metadata—using any of the `/api/catalogue/stac/` endpoints and STAC extensions—you can follow the asset URLs in each feature to download or stream the data itself. These endpoints conform fully to the OGC STAC v1.0.0 specification.\n                "},{"name":"Metadata APIs for processing - finding and executing workflows","description":"Use these APIs to find, define and execute EO Data Hub workflows, and to locate their results. These endpoints implement the OGC Processes API and package workflows as OGC Application Packages. Each workspace (identified by {deploy_workspace}) is access‐controlled via HTTP Bearer; you may only see or run workflows in your own workspace, unless they are defined as publicly available or public user services."},{"name":"Visualization and Mapping - Available Tiling schemes, Algorithms and Colour maps","description":""},{"name":"Visualization and mapping - COG/GeoTiff","description":""},{"name":"Visualization and mapping - Multidimensional Data","description":""},{"name":"Workflow Catalogue API","description":"Browse, register and manage workflow collections and records in the EO Data Hub Workflow Catalogue."}],"paths":{"/api/catalogue/stac/":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Landing Page","description":"This is the landing page which returns the catalog details for the overall catalog and includes the top-level catalogs and collections.","operationId":"Landing_Page__get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LandingPage"}}}}},"security":[{"HTTPBearer":[]}]}},"/api/catalogue/stac/conformance":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Conformance Classes","description":"This endpoint returns a list of all conformance classes supported by the STAC API.","operationId":"Conformance_Classes_conformance_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Conformance"}}}}},"security":[{"HTTPBearer":[]}]}},"/api/catalogue/stac/catalogs/{cat_path}/collections/{collection_id}/items/{item_id}":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Get Item","description":"This endpoint retrieves an item from the STAC API.","operationId":"Get_Item_catalogs__cat_path__collections__collection_id__items__item_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public/catalogs/ceda-stac-catalog"},{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"Collection ID","title":"Collection Id"},"description":"Collection ID","example":"cmip6"},{"name":"item_id","in":"path","required":true,"schema":{"type":"string","description":"Item ID","title":"Item Id"},"description":"Item ID","example":"CMIP6.ScenarioMIP.THU.CIESM.ssp585.r1i1p1f1.Amon.rsus.gr.v20200806"}],"responses":{"200":{"description":"Successful Response","content":{"application/geo+json":{"schema":{"$ref":"#/components/schemas/Item"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs/{cat_path}/search":{"post":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Search Items","description":"This endpoint allows searching for items in the STAC API.","operationId":"Search_Items_catalogs__cat_path__search_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchPostRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/geo+json":{"schema":{"$ref":"#/components/schemas/ItemCollection"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Search Items","description":"This endpoint allows searching for items in the STAC API.","operationId":"Search_Items_catalogs__cat_path__search_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public/catalogs/ceda-stac-catalogue"},{"name":"collections","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Array of collection Ids to search for items.","example":"cmip6,cci","title":"Collections"},"description":"Array of collection Ids to search for items."},{"name":"ids","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Array of Item ids to return.","example":"esacci-sst-l4.json,ESACCI-LST-L3C-LST-SLSTRB-0.01deg_1MONTHLY_NIGHT-201812-202012-fv3.00","title":"Ids"},"description":"Array of Item ids to return."},{"name":"bbox","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items intersecting this bounding box. Mutually exclusive with **intersects**.","example":"-175.05,-85.05,175.05,85.05","title":"Bbox"},"description":"Only return items intersecting this bounding box. Mutually exclusive with **intersects**."},{"name":"intersects","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items intersecting this GeoJSON Geometry. Mutually exclusive with **bbox**. \n\n*Remember to URL encode the GeoJSON geometry when using GET request*.","title":"Intersects"},"description":"Only return items intersecting this GeoJSON Geometry. Mutually exclusive with **bbox**. \n\n*Remember to URL encode the GeoJSON geometry when using GET request*.","examples":{"madrid":{"value":{"type":"Feature","properties":{},"geometry":{"coordinates":[[[-3.8549260500072933,40.54923557897152],[-3.8549260500072933,40.29428000041938],[-3.516597069715033,40.29428000041938],[-3.516597069715033,40.54923557897152],[-3.8549260500072933,40.54923557897152]]],"type":"Polygon"}}},"new-york":{"value":{"type":"Feature","properties":{},"geometry":{"coordinates":[[[-74.50117532354284,41.128266394414055],[-74.50117532354284,40.35633909727355],[-73.46713183168603,40.35633909727355],[-73.46713183168603,41.128266394414055],[-74.50117532354284,41.128266394414055]]],"type":"Polygon"}}}}},{"name":"datetime","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items that have a temporal property that intersects this value.\n\nEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","title":"Datetime"},"description":"Only return items that have a temporal property that intersects this value.\n\nEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","examples":{"datetime":{"value":"2018-02-12T23:20:50Z"},"closed-interval":{"value":"2018-02-12T00:00:00Z/2018-03-18T12:31:12Z"},"open-interval-from":{"value":"2018-02-12T00:00:00Z/.."},"open-interval-to":{"value":"../2018-03-18T12:31:12Z"}}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","exclusiveMinimum":0},{"type":"null"}],"description":"Limits the number of results that are included in each page of the response (capped to 10_000).","default":10,"title":"Limit"},"description":"Limits the number of results that are included in each page of the response (capped to 10_000)."},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Include or exclude fields from items body.","example":"properties.datetime","title":"Fields"},"description":"Include or exclude fields from items body."},{"name":"query","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Allows additional filtering based on the properties of Item objects","example":"{\"eo:cloud_cover\": {\"gte\": 95}}","title":"Query"},"description":"Allows additional filtering based on the properties of Item objects"},{"name":"sortby","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"An array of property names, prefixed by either '+' for ascending or '-' for descending. If no prefix is provided, '+' is assumed.","example":"-gsd,-datetime","title":"Sortby"},"description":"An array of property names, prefixed by either '+' for ascending or '-' for descending. If no prefix is provided, '+' is assumed."},{"name":"token","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Token"}},{"name":"filter","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"A CQL filter expression for filtering items.\n\n                Supports `CQL-JSON` as defined in https://portal.ogc.org/files/96288\n\n                Remember to URL encode the CQL-JSON if using GET","example":"id='LC08_L1TP_060247_20180905_20180912_01_T1_L1TP' AND collection='landsat8_l1tp'","title":"Filter"},"description":"A CQL filter expression for filtering items.\n\n                Supports `CQL-JSON` as defined in https://portal.ogc.org/files/96288\n\n                Remember to URL encode the CQL-JSON if using GET"},{"name":"filter-crs","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The coordinate reference system (CRS) used by spatial literals in the 'filter' value. Default is `http://www.opengis.net/def/crs/OGC/1.3/CRS84`","title":"Filter-Crs"},"description":"The coordinate reference system (CRS) used by spatial literals in the 'filter' value. Default is `http://www.opengis.net/def/crs/OGC/1.3/CRS84`"},{"name":"filter-lang","in":"query","required":false,"schema":{"anyOf":[{"enum":["cql-json","cql2-json","cql2-text"],"type":"string"},{"type":"null"}],"description":"The CQL filter encoding that the 'filter' value uses.","default":"cql2-text","title":"Filter-Lang"},"description":"The CQL filter encoding that the 'filter' value uses."},{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Parameter to perform free-text queries against STAC metadata","example":"ocean,coast","title":"Q"},"description":"Parameter to perform free-text queries against STAC metadata"}],"responses":{"200":{"description":"Successful Response","content":{"application/geo+json":{"schema":{"$ref":"#/components/schemas/ItemCollection"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/search":{"post":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Search All Items","description":"This endpoint allows searching for all items in the STAC API.","operationId":"Search_All_Items_search_post","security":[{"HTTPBearer":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchPostRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/geo+json":{"schema":{"$ref":"#/components/schemas/ItemCollection"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Search All Items","description":"This endpoint allows searching for all items in the STAC API.","operationId":"Search_All_Items_search_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"collections","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Array of collection Ids to search for items.","example":"cmip6,cci","title":"Collections"},"description":"Array of collection Ids to search for items."},{"name":"ids","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Array of Item ids to return.","example":"esacci-sst-l4.json,ESACCI-LST-L3C-LST-SLSTRB-0.01deg_1MONTHLY_NIGHT-201812-202012-fv3.00","title":"Ids"},"description":"Array of Item ids to return."},{"name":"bbox","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items intersecting this bounding box. Mutually exclusive with **intersects**.","example":"-175.05,-85.05,175.05,85.05","title":"Bbox"},"description":"Only return items intersecting this bounding box. Mutually exclusive with **intersects**."},{"name":"intersects","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items intersecting this GeoJSON Geometry. Mutually exclusive with **bbox**. \n\n*Remember to URL encode the GeoJSON geometry when using GET request*.","title":"Intersects"},"description":"Only return items intersecting this GeoJSON Geometry. Mutually exclusive with **bbox**. \n\n*Remember to URL encode the GeoJSON geometry when using GET request*.","examples":{"madrid":{"value":{"type":"Feature","properties":{},"geometry":{"coordinates":[[[-3.8549260500072933,40.54923557897152],[-3.8549260500072933,40.29428000041938],[-3.516597069715033,40.29428000041938],[-3.516597069715033,40.54923557897152],[-3.8549260500072933,40.54923557897152]]],"type":"Polygon"}}},"new-york":{"value":{"type":"Feature","properties":{},"geometry":{"coordinates":[[[-74.50117532354284,41.128266394414055],[-74.50117532354284,40.35633909727355],[-73.46713183168603,40.35633909727355],[-73.46713183168603,41.128266394414055],[-74.50117532354284,41.128266394414055]]],"type":"Polygon"}}}}},{"name":"datetime","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items that have a temporal property that intersects this value.\n\nEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","title":"Datetime"},"description":"Only return items that have a temporal property that intersects this value.\n\nEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","examples":{"datetime":{"value":"2018-02-12T23:20:50Z"},"closed-interval":{"value":"2018-02-12T00:00:00Z/2018-03-18T12:31:12Z"},"open-interval-from":{"value":"2018-02-12T00:00:00Z/.."},"open-interval-to":{"value":"../2018-03-18T12:31:12Z"}}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","exclusiveMinimum":0},{"type":"null"}],"description":"Limits the number of results that are included in each page of the response (capped to 10_000).","default":10,"title":"Limit"},"description":"Limits the number of results that are included in each page of the response (capped to 10_000)."},{"name":"fields","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Include or exclude fields from items body.","example":"properties.datetime","title":"Fields"},"description":"Include or exclude fields from items body."},{"name":"query","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Allows additional filtering based on the properties of Item objects","example":"{\"eo:cloud_cover\": {\"gte\": 95}}","title":"Query"},"description":"Allows additional filtering based on the properties of Item objects"},{"name":"sortby","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"An array of property names, prefixed by either '+' for ascending or '-' for descending. If no prefix is provided, '+' is assumed.","example":"-gsd,-datetime","title":"Sortby"},"description":"An array of property names, prefixed by either '+' for ascending or '-' for descending. If no prefix is provided, '+' is assumed."},{"name":"token","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Token"}},{"name":"filter","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"A CQL filter expression for filtering items.\n\n                Supports `CQL-JSON` as defined in https://portal.ogc.org/files/96288\n\n                Remember to URL encode the CQL-JSON if using GET","example":"id='LC08_L1TP_060247_20180905_20180912_01_T1_L1TP' AND collection='landsat8_l1tp'","title":"Filter"},"description":"A CQL filter expression for filtering items.\n\n                Supports `CQL-JSON` as defined in https://portal.ogc.org/files/96288\n\n                Remember to URL encode the CQL-JSON if using GET"},{"name":"filter-crs","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The coordinate reference system (CRS) used by spatial literals in the 'filter' value. Default is `http://www.opengis.net/def/crs/OGC/1.3/CRS84`","title":"Filter-Crs"},"description":"The coordinate reference system (CRS) used by spatial literals in the 'filter' value. Default is `http://www.opengis.net/def/crs/OGC/1.3/CRS84`"},{"name":"filter-lang","in":"query","required":false,"schema":{"anyOf":[{"enum":["cql-json","cql2-json","cql2-text"],"type":"string"},{"type":"null"}],"description":"The CQL filter encoding that the 'filter' value uses.","default":"cql2-text","title":"Filter-Lang"},"description":"The CQL filter encoding that the 'filter' value uses."},{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Parameter to perform free-text queries against STAC metadata","example":"ocean,coast","title":"Q"},"description":"Parameter to perform free-text queries against STAC metadata"}],"responses":{"200":{"description":"Successful Response","content":{"application/geo+json":{"schema":{"$ref":"#/components/schemas/ItemCollection"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs/{cat_path}/collections":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Get Collections","description":"This endpoint retrieves a collection from the STAC API and allows searching collections using the collection-search extension.","operationId":"Get_Collections_catalogs__cat_path__collections_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public/catalogs/ceda-stac-catalogue"},{"name":"bbox","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items intersecting this bounding box. Mutually exclusive with **intersects**.","example":"-175.05,-85.05,175.05,85.05","title":"Bbox"},"description":"Only return items intersecting this bounding box. Mutually exclusive with **intersects**."},{"name":"datetime","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items that have a temporal property that intersects this value.\n\nEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","title":"Datetime"},"description":"Only return items that have a temporal property that intersects this value.\n\nEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","examples":{"datetime":{"value":"2018-02-12T23:20:50Z"},"closed-interval":{"value":"2018-02-12T00:00:00Z/2018-03-18T12:31:12Z"},"open-interval-from":{"value":"2018-02-12T00:00:00Z/.."},"open-interval-to":{"value":"../2018-03-18T12:31:12Z"}}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","exclusiveMinimum":0},{"type":"null"}],"description":"Limits the number of results that are included in each page of the response.","default":10,"title":"Limit"},"description":"Limits the number of results that are included in each page of the response."},{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Free-text search terms to query against collection metadata. Separate multiple terms with commas.","example":"climate,temperature,optical","title":"Q"},"description":"Free-text search terms to query against collection metadata. Separate multiple terms with commas."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Collections"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Post Collections","description":"This endpoint retrieves collections from the STAC API and allows searching collections using the collection-search extension","operationId":"Post_Collections_catalogs__cat_path__collections_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseCollectionSearchPostRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/geo+json":{"schema":{"$ref":"#/components/schemas/Collections"}},"application/json":{}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/collections":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Get All Collections","description":"This endpoint retrieves a collection from the STAC API and allows searching collections using the collection-search extension.","operationId":"Get_All_Collections_collections_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"bbox","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items intersecting this bounding box. Mutually exclusive with **intersects**.","example":"-175.05,-85.05,175.05,85.05","title":"Bbox"},"description":"Only return items intersecting this bounding box. Mutually exclusive with **intersects**."},{"name":"datetime","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items that have a temporal property that intersects this value.\n\nEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","title":"Datetime"},"description":"Only return items that have a temporal property that intersects this value.\n\nEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","examples":{"datetime":{"value":"2018-02-12T23:20:50Z"},"closed-interval":{"value":"2018-02-12T00:00:00Z/2018-03-18T12:31:12Z"},"open-interval-from":{"value":"2018-02-12T00:00:00Z/.."},"open-interval-to":{"value":"../2018-03-18T12:31:12Z"}}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","exclusiveMinimum":0},{"type":"null"}],"description":"Limits the number of results that are included in each page of the response.","default":10,"title":"Limit"},"description":"Limits the number of results that are included in each page of the response."},{"name":"q","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Free-text search terms to query against collection metadata. Separate multiple terms with commas.","example":"climate,temperature,optical","title":"Q"},"description":"Free-text search terms to query against collection metadata. Separate multiple terms with commas."},{"name":"filter","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"A CQL filter expression for filtering items.\n\n                Supports `CQL-JSON` as defined in https://portal.ogc.org/files/96288\n\n                Remember to URL encode the CQL-JSON if using GET","example":"id='LC08_L1TP_060247_20180905_20180912_01_T1_L1TP' AND collection='landsat8_l1tp'","title":"Filter"},"description":"A CQL filter expression for filtering items.\n\n                Supports `CQL-JSON` as defined in https://portal.ogc.org/files/96288\n\n                Remember to URL encode the CQL-JSON if using GET"},{"name":"filter-lang","in":"query","required":false,"schema":{"anyOf":[{"enum":["cql-json","cql2-json","cql2-text"],"type":"string"},{"type":"null"}],"description":"The CQL filter encoding that the 'filter' value uses.","default":"cql2-text","title":"Filter-Lang"},"description":"The CQL filter encoding that the 'filter' value uses."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Collections"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Post All Collections","description":"This endpoint allows posting all collections and supports searching collections using the collection-search extension.","operationId":"Post_All_Collections_collections_post","security":[{"HTTPBearer":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseCollectionSearchPostRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/geo+json":{"schema":{"$ref":"#/components/schemas/Collections"}},"application/json":{}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs/{cat_path}/collections/{collection_id}":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Get Collection","description":"This endpoint retrieves a collection from the STAC API and allows searching collections using the collection-search extension.","operationId":"Get_Collection_catalogs__cat_path__collections__collection_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public/catalogs/ceda-stac-catalog"},{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"Collection ID","title":"Collection Id"},"description":"Collection ID","example":"cmip6"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Collection"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs/{cat_path}/collections/{collection_id}/items":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Get Itemcollection","description":"This endpoint retrieves an item collection from the STAC API.","operationId":"Get_ItemCollection_catalogs__cat_path__collections__collection_id__items_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public/catalogs/ceda-stac-catalog"},{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"Collection ID","title":"Collection Id"},"description":"Collection ID","example":"cmip6"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","exclusiveMinimum":0},{"type":"null"}],"description":"Limits the number of results that are included in each page of the response (capped to 10_000).","default":10,"title":"Limit"},"description":"Limits the number of results that are included in each page of the response (capped to 10_000)."},{"name":"bbox","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items intersecting this bounding box. Mutually exclusive with **intersects**.","example":"-175.05,-85.05,175.05,85.05","title":"Bbox"},"description":"Only return items intersecting this bounding box. Mutually exclusive with **intersects**."},{"name":"datetime","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items that have a temporal property that intersects this value.\n\nEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","title":"Datetime"},"description":"Only return items that have a temporal property that intersects this value.\n\nEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","examples":{"datetime":{"value":"2018-02-12T23:20:50Z"},"closed-interval":{"value":"2018-02-12T00:00:00Z/2018-03-18T12:31:12Z"},"open-interval-from":{"value":"2018-02-12T00:00:00Z/.."},"open-interval-to":{"value":"../2018-03-18T12:31:12Z"}}}],"responses":{"200":{"description":"Successful Response","content":{"application/geo+json":{"schema":{"$ref":"#/components/schemas/ItemCollection"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs/{cat_path}/catalogs":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Get Catalogs","description":"This endpoint retrieves all sub-catalogs in the given parent catalog.","operationId":"Get_Catalogs_catalogs__cat_path__catalogs_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public/catalogs/ceda-stac-catalog"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Catalogs"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Get All Catalogs","description":"This endpoint retrieves all catalogs in the STAC API.","operationId":"Get_All_Catalogs_catalogs_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Catalogs"}}}}},"security":[{"HTTPBearer":[]}]}},"/api/catalogue/stac/catalogs/{cat_path}/catalogs/{catalog_id}":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Get Catalog","description":"This endpoint retrieves a catalog from the STAC API.","operationId":"Get_Catalog_catalogs__cat_path__catalogs__catalog_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public/catalogs/ceda-stac-catalogue"},{"name":"catalog_id","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)$","description":"Catalog ID","title":"Catalog Id"},"description":"Catalog ID","example":"ceda-stac-catalogue"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Collection"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs/{catalog_id}":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Get Base Catalog","description":"This endpoint retrieves a top-level catalog from the STAC API.","operationId":"Get_Base_Catalog_catalogs__catalog_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"catalog_id","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)$","description":"Catalog ID","title":"Catalog Id"},"description":"Catalog ID","example":"ceda-stac-catalogue"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Collection"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/aggregations":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Aggregations","description":"Get available aggregations","operationId":"Aggregations_aggregations_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"security":[{"HTTPBearer":[]}]},"post":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Aggregations","description":"Get available aggregations","operationId":"Aggregations_aggregations_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"security":[{"HTTPBearer":[]}]}},"/api/catalogue/stac/catalogs/{cat_path}/collections/{collection_id}/aggregate":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Collection Aggregate","description":"Get Collection aggregate using path and collection_id","operationId":"Collection_Aggregate_catalogs__cat_path__collections__collection_id__aggregate_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public/catalogs/ceda-stac-catalog"},{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"Collection ID","title":"Collection Id"},"description":"Collection ID","example":"cmip6"},{"name":"collections","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Array of collection Ids to search for items.","example":"cmip6,cci","title":"Collections"},"description":"Array of collection Ids to search for items."},{"name":"ids","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Array of Item ids to return.","example":"esacci-sst-l4.json,ESACCI-LST-L3C-LST-SLSTRB-0.01deg_1MONTHLY_NIGHT-201812-202012-fv3.00","title":"Ids"},"description":"Array of Item ids to return."},{"name":"bbox","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items intersecting this bounding box. Mutually exclusive with **intersects**.","example":"-175.05,-85.05,175.05,85.05","title":"Bbox"},"description":"Only return items intersecting this bounding box. Mutually exclusive with **intersects**."},{"name":"intersects","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items intersecting this GeoJSON Geometry. Mutually exclusive with **bbox**. \n\n*Remember to URL encode the GeoJSON geometry when using GET request*.","title":"Intersects"},"description":"Only return items intersecting this GeoJSON Geometry. Mutually exclusive with **bbox**. \n\n*Remember to URL encode the GeoJSON geometry when using GET request*.","examples":{"madrid":{"value":{"type":"Feature","properties":{},"geometry":{"coordinates":[[[-3.8549260500072933,40.54923557897152],[-3.8549260500072933,40.29428000041938],[-3.516597069715033,40.29428000041938],[-3.516597069715033,40.54923557897152],[-3.8549260500072933,40.54923557897152]]],"type":"Polygon"}}},"new-york":{"value":{"type":"Feature","properties":{},"geometry":{"coordinates":[[[-74.50117532354284,41.128266394414055],[-74.50117532354284,40.35633909727355],[-73.46713183168603,40.35633909727355],[-73.46713183168603,41.128266394414055],[-74.50117532354284,41.128266394414055]]],"type":"Polygon"}}}}},{"name":"datetime","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items that have a temporal property that intersects this value.\n\nEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","title":"Datetime"},"description":"Only return items that have a temporal property that intersects this value.\n\nEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","examples":{"datetime":{"value":"2018-02-12T23:20:50Z"},"closed-interval":{"value":"2018-02-12T00:00:00Z/2018-03-18T12:31:12Z"},"open-interval-from":{"value":"2018-02-12T00:00:00Z/.."},"open-interval-to":{"value":"../2018-03-18T12:31:12Z"}}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","exclusiveMinimum":0},{"type":"null"}],"description":"Limits the number of results that are included in each page of the response (capped to 10_000).","default":10,"title":"Limit"},"description":"Limits the number of results that are included in each page of the response (capped to 10_000)."},{"name":"aggregations","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"A list of aggregations to compute and return.","title":"Aggregations"},"description":"A list of aggregations to compute and return."},{"name":"filter","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"A CQL filter expression for filtering items.\n\nSupports `CQL-JSON` as defined in https://portal.ogc.org/files/96288\n\nRemember to URL encode the CQL-JSON if using GET","example":"id='LC08_L1TP_060247_20180905_20180912_01_T1_L1TP' AND collection='landsat8_l1tp'","title":"Filter"},"description":"A CQL filter expression for filtering items.\n\nSupports `CQL-JSON` as defined in https://portal.ogc.org/files/96288\n\nRemember to URL encode the CQL-JSON if using GET"},{"name":"filter-crs","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The coordinate reference system (CRS) used by spatial literals in the 'filter' value. Default is `http://www.opengis.net/def/crs/OGC/1.3/CRS84`","title":"Filter-Crs"},"description":"The coordinate reference system (CRS) used by spatial literals in the 'filter' value. Default is `http://www.opengis.net/def/crs/OGC/1.3/CRS84`"},{"name":"filter-lang","in":"query","required":false,"schema":{"anyOf":[{"enum":["cql-json","cql2-json","cql2-text"],"type":"string"},{"type":"null"}],"description":"The CQL filter encoding that the 'filter' value uses.","default":"cql2-text","title":"Filter-Lang"},"description":"The CQL filter encoding that the 'filter' value uses."},{"name":"centroid_geohash_grid_frequency_precision","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Centroid Geohash Grid Frequency Precision"}},{"name":"centroid_geohex_grid_frequency_precision","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Centroid Geohex Grid Frequency Precision"}},{"name":"centroid_geotile_grid_frequency_precision","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Centroid Geotile Grid Frequency Precision"}},{"name":"geometry_geohash_grid_frequency_precision","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Geometry Geohash Grid Frequency Precision"}},{"name":"geometry_geotile_grid_frequency_precision","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Geometry Geotile Grid Frequency Precision"}},{"name":"datetime_frequency_interval","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Datetime Frequency Interval"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Collection Aggregate","description":"Get Collection aggregate using path and collection_id","operationId":"Collection_Aggregate_catalogs__cat_path__collections__collection_id__aggregate_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public/catalogs/ceda-stac-catalog"},{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"Collection ID","title":"Collection Id"},"description":"Collection ID","example":"cmip6"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs/{cat_path}/collections/{collection_id}/aggregations":{"post":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Collection Aggregations","description":"Get available aggregations using path and collection_id","operationId":"Collection_Aggregations_catalogs__cat_path__collections__collection_id__aggregations_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public/catalogs/ceda-stac-catalog"},{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"Collection ID","title":"Collection Id"},"description":"Collection ID","example":"cmip6"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Collection Aggregations","description":"Get available aggregations using path and collection_id","operationId":"Collection_Aggregations_catalogs__cat_path__collections__collection_id__aggregations_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public/catalogs/ceda-stac-catalog"},{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"Collection ID","title":"Collection Id"},"description":"Collection ID","example":"cmip6"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs/{cat_path}/aggregations":{"post":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Catalog Aggregations","description":"Get Catalog aggregations using path","operationId":"Catalog_Aggregations_catalogs__cat_path__aggregations_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public/catalogs/ceda-stac-catalog"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Catalog Aggregations","description":"Get Catalog aggregations using path","operationId":"Catalog_Aggregations_catalogs__cat_path__aggregations_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public/catalogs/ceda-stac-catalog"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/aggregate":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Aggregate","description":"Get available aggregations","operationId":"Aggregate_aggregate_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"collections","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Array of collection Ids to search for items.","example":"cmip6,cci","title":"Collections"},"description":"Array of collection Ids to search for items."},{"name":"ids","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Array of Item ids to return.","example":"esacci-sst-l4.json,ESACCI-LST-L3C-LST-SLSTRB-0.01deg_1MONTHLY_NIGHT-201812-202012-fv3.00","title":"Ids"},"description":"Array of Item ids to return."},{"name":"bbox","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items intersecting this bounding box. Mutually exclusive with **intersects**.","example":"-175.05,-85.05,175.05,85.05","title":"Bbox"},"description":"Only return items intersecting this bounding box. Mutually exclusive with **intersects**."},{"name":"intersects","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items intersecting this GeoJSON Geometry. Mutually exclusive with **bbox**. \n\n*Remember to URL encode the GeoJSON geometry when using GET request*.","title":"Intersects"},"description":"Only return items intersecting this GeoJSON Geometry. Mutually exclusive with **bbox**. \n\n*Remember to URL encode the GeoJSON geometry when using GET request*.","examples":{"madrid":{"value":{"type":"Feature","properties":{},"geometry":{"coordinates":[[[-3.8549260500072933,40.54923557897152],[-3.8549260500072933,40.29428000041938],[-3.516597069715033,40.29428000041938],[-3.516597069715033,40.54923557897152],[-3.8549260500072933,40.54923557897152]]],"type":"Polygon"}}},"new-york":{"value":{"type":"Feature","properties":{},"geometry":{"coordinates":[[[-74.50117532354284,41.128266394414055],[-74.50117532354284,40.35633909727355],[-73.46713183168603,40.35633909727355],[-73.46713183168603,41.128266394414055],[-74.50117532354284,41.128266394414055]]],"type":"Polygon"}}}}},{"name":"datetime","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items that have a temporal property that intersects this value.\n\nEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","title":"Datetime"},"description":"Only return items that have a temporal property that intersects this value.\n\nEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","examples":{"datetime":{"value":"2018-02-12T23:20:50Z"},"closed-interval":{"value":"2018-02-12T00:00:00Z/2018-03-18T12:31:12Z"},"open-interval-from":{"value":"2018-02-12T00:00:00Z/.."},"open-interval-to":{"value":"../2018-03-18T12:31:12Z"}}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","exclusiveMinimum":0},{"type":"null"}],"description":"Limits the number of results that are included in each page of the response (capped to 10_000).","default":10,"title":"Limit"},"description":"Limits the number of results that are included in each page of the response (capped to 10_000)."},{"name":"aggregations","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"A list of aggregations to compute and return.","title":"Aggregations"},"description":"A list of aggregations to compute and return."},{"name":"filter","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"A CQL filter expression for filtering items.\n\nSupports `CQL-JSON` as defined in https://portal.ogc.org/files/96288\n\nRemember to URL encode the CQL-JSON if using GET","example":"id='LC08_L1TP_060247_20180905_20180912_01_T1_L1TP' AND collection='landsat8_l1tp'","title":"Filter"},"description":"A CQL filter expression for filtering items.\n\nSupports `CQL-JSON` as defined in https://portal.ogc.org/files/96288\n\nRemember to URL encode the CQL-JSON if using GET"},{"name":"filter-crs","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The coordinate reference system (CRS) used by spatial literals in the 'filter' value. Default is `http://www.opengis.net/def/crs/OGC/1.3/CRS84`","title":"Filter-Crs"},"description":"The coordinate reference system (CRS) used by spatial literals in the 'filter' value. Default is `http://www.opengis.net/def/crs/OGC/1.3/CRS84`"},{"name":"filter-lang","in":"query","required":false,"schema":{"anyOf":[{"enum":["cql-json","cql2-json","cql2-text"],"type":"string"},{"type":"null"}],"description":"The CQL filter encoding that the 'filter' value uses.","default":"cql2-text","title":"Filter-Lang"},"description":"The CQL filter encoding that the 'filter' value uses."},{"name":"centroid_geohash_grid_frequency_precision","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Centroid Geohash Grid Frequency Precision"}},{"name":"centroid_geohex_grid_frequency_precision","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Centroid Geohex Grid Frequency Precision"}},{"name":"centroid_geotile_grid_frequency_precision","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Centroid Geotile Grid Frequency Precision"}},{"name":"geometry_geohash_grid_frequency_precision","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Geometry Geohash Grid Frequency Precision"}},{"name":"geometry_geotile_grid_frequency_precision","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Geometry Geotile Grid Frequency Precision"}},{"name":"datetime_frequency_interval","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Datetime Frequency Interval"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Aggregate","description":"Get aggregate for the catalog","operationId":"Aggregate_aggregate_post","security":[{"HTTPBearer":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EsAggregationExtensionPostRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs/{cat_path}/aggregate":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Catalog Aggregate","description":"Get aggregate for a catalog using path","operationId":"Catalog_Aggregate_catalogs__cat_path__aggregate_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public/catalogs/ceda-stac-catalog"},{"name":"collections","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Array of collection Ids to search for items.","example":"cmip6,cci","title":"Collections"},"description":"Array of collection Ids to search for items."},{"name":"ids","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Array of Item ids to return.","example":"esacci-sst-l4.json,ESACCI-LST-L3C-LST-SLSTRB-0.01deg_1MONTHLY_NIGHT-201812-202012-fv3.00","title":"Ids"},"description":"Array of Item ids to return."},{"name":"bbox","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items intersecting this bounding box. Mutually exclusive with **intersects**.","example":"-175.05,-85.05,175.05,85.05","title":"Bbox"},"description":"Only return items intersecting this bounding box. Mutually exclusive with **intersects**."},{"name":"intersects","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items intersecting this GeoJSON Geometry. Mutually exclusive with **bbox**. \n\n*Remember to URL encode the GeoJSON geometry when using GET request*.","title":"Intersects"},"description":"Only return items intersecting this GeoJSON Geometry. Mutually exclusive with **bbox**. \n\n*Remember to URL encode the GeoJSON geometry when using GET request*.","examples":{"madrid":{"value":{"type":"Feature","properties":{},"geometry":{"coordinates":[[[-3.8549260500072933,40.54923557897152],[-3.8549260500072933,40.29428000041938],[-3.516597069715033,40.29428000041938],[-3.516597069715033,40.54923557897152],[-3.8549260500072933,40.54923557897152]]],"type":"Polygon"}}},"new-york":{"value":{"type":"Feature","properties":{},"geometry":{"coordinates":[[[-74.50117532354284,41.128266394414055],[-74.50117532354284,40.35633909727355],[-73.46713183168603,40.35633909727355],[-73.46713183168603,41.128266394414055],[-74.50117532354284,41.128266394414055]]],"type":"Polygon"}}}}},{"name":"datetime","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Only return items that have a temporal property that intersects this value.\n\nEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","title":"Datetime"},"description":"Only return items that have a temporal property that intersects this value.\n\nEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.","examples":{"datetime":{"value":"2018-02-12T23:20:50Z"},"closed-interval":{"value":"2018-02-12T00:00:00Z/2018-03-18T12:31:12Z"},"open-interval-from":{"value":"2018-02-12T00:00:00Z/.."},"open-interval-to":{"value":"../2018-03-18T12:31:12Z"}}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","exclusiveMinimum":0},{"type":"null"}],"description":"Limits the number of results that are included in each page of the response (capped to 10_000).","default":10,"title":"Limit"},"description":"Limits the number of results that are included in each page of the response (capped to 10_000)."},{"name":"aggregations","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"A list of aggregations to compute and return.","title":"Aggregations"},"description":"A list of aggregations to compute and return."},{"name":"filter","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"A CQL filter expression for filtering items.\n\nSupports `CQL-JSON` as defined in https://portal.ogc.org/files/96288\n\nRemember to URL encode the CQL-JSON if using GET","example":"id='LC08_L1TP_060247_20180905_20180912_01_T1_L1TP' AND collection='landsat8_l1tp'","title":"Filter"},"description":"A CQL filter expression for filtering items.\n\nSupports `CQL-JSON` as defined in https://portal.ogc.org/files/96288\n\nRemember to URL encode the CQL-JSON if using GET"},{"name":"filter-crs","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The coordinate reference system (CRS) used by spatial literals in the 'filter' value. Default is `http://www.opengis.net/def/crs/OGC/1.3/CRS84`","title":"Filter-Crs"},"description":"The coordinate reference system (CRS) used by spatial literals in the 'filter' value. Default is `http://www.opengis.net/def/crs/OGC/1.3/CRS84`"},{"name":"filter-lang","in":"query","required":false,"schema":{"anyOf":[{"enum":["cql-json","cql2-json","cql2-text"],"type":"string"},{"type":"null"}],"description":"The CQL filter encoding that the 'filter' value uses.","default":"cql2-text","title":"Filter-Lang"},"description":"The CQL filter encoding that the 'filter' value uses."},{"name":"centroid_geohash_grid_frequency_precision","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Centroid Geohash Grid Frequency Precision"}},{"name":"centroid_geohex_grid_frequency_precision","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Centroid Geohex Grid Frequency Precision"}},{"name":"centroid_geotile_grid_frequency_precision","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Centroid Geotile Grid Frequency Precision"}},{"name":"geometry_geohash_grid_frequency_precision","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Geometry Geohash Grid Frequency Precision"}},{"name":"geometry_geotile_grid_frequency_precision","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Geometry Geotile Grid Frequency Precision"}},{"name":"datetime_frequency_interval","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Datetime Frequency Interval"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs/{cat_path}/collections/{collection_id}/queryables":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Collection Queryables","description":"Get available queryables for a collection","operationId":"Collection_Queryables_catalogs__cat_path__collections__collection_id__queryables_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public/catalogs/ceda-stac-catalog"},{"name":"collection_id","in":"path","required":true,"schema":{"type":"string","description":"Collection ID","title":"Collection Id"},"description":"Collection ID","example":"cmip6"}],"responses":{"200":{"description":"Successful Response","content":{"application/schema+json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs/{cat_path}/queryables":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Catalog Queryables","description":"Get available queryables for a catalog","operationId":"Catalog_Queryables_catalogs__cat_path__queryables_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"cat_path","in":"path","required":true,"schema":{"type":"string","pattern":"^([^/]+)(/catalogs/[^/]+)*$","description":"Catalog path","title":"Cat Path"},"description":"Catalog path","example":"public/catalogs/ceda-stac-catalog"}],"responses":{"200":{"description":"Successful Response","content":{"application/schema+json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/queryables":{"get":{"tags":["Metadata APIs for data - finding and accessing data"],"summary":"Queryables","description":"Get available queryables","operationId":"Queryables_queryables_get","responses":{"200":{"description":"Successful Response","content":{"application/schema+json":{"schema":{}}}}},"security":[{"HTTPBearer":[]}]}},"/api/catalogue/stac/catalogs/user/catalogs/{deploy_workspace}/processes/{workflow_id}":{"delete":{"tags":["Metadata APIs for processing - finding and executing workflows"],"summary":"Undeploy a workflow from the specified workspace","description":"An endpoint to undeploy a workflow from the specified workspace","operationId":"undeploy_process_api_catalogue_stac_catalogs_user_catalogs__deploy_workspace__processes__workflow_id__delete","security":[{"HTTPBearer":[]}],"parameters":[{"name":"deploy_workspace","in":"path","required":true,"schema":{"type":"string","description":"The name of the workspace from which the workflow will be undeployed","title":"Deploy Workspace"},"description":"The name of the workspace from which the workflow will be undeployed"},{"name":"workflow_id","in":"path","required":true,"schema":{"type":"string","description":"The ID of the workflow to be undeployed","title":"Workflow Id"},"description":"The ID of the workflow to be undeployed"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyResponse"}}}},"204":{"description":"Workflow removed from the workspace successfully"},"404":{"description":"Workflow not deployed to the specified workspace"},"401":{"description":"User not authenticated"},"403":{"description":"User not authorized to make changes in this workspace"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Metadata APIs for processing - finding and executing workflows"],"summary":"Update a workflow in the specified workspace","description":"An endpoint to update a workflow in a specified workspace","operationId":"update_workflow_api_catalogue_stac_catalogs_user_catalogs__deploy_workspace__processes__workflow_id__put","security":[{"HTTPBearer":[]}],"parameters":[{"name":"deploy_workspace","in":"path","required":true,"schema":{"type":"string","description":"The name of the workspace to update the workflow in","title":"Deploy Workspace"},"description":"The name of the workspace to update the workflow in"},{"name":"workflow_id","in":"path","required":true,"schema":{"type":"string","description":"The workflow ID of the workflow to update","title":"Workflow Id"},"description":"The workflow ID of the workflow to update"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmptyResponse"}}}},"204":{"description":"Workflow updated in the workspace successfully"},"404":{"description":"Workflow has not been deployed to the specified workspace"},"401":{"description":"User not authenticated"},"403":{"description":"User not authorized to make changes in this workspace"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Metadata APIs for processing - finding and executing workflows"],"summary":"Get workflow details in the specified workspace","description":"An endpoint to get details of a workflow in a specified workspace","operationId":"process_details_api_catalogue_stac_catalogs_user_catalogs__deploy_workspace__processes__workflow_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"deploy_workspace","in":"path","required":true,"schema":{"type":"string","description":"The name of the workspace containing the workflow to view","title":"Deploy Workspace"},"description":"The name of the workspace containing the workflow to view"},{"name":"workflow_id","in":"path","required":true,"schema":{"type":"string","description":"The workflow ID of the workflow to view details for","title":"Workflow Id"},"description":"The workflow ID of the workflow to view details for"}],"responses":{"200":{"description":"Workflow details returned successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProcessResponse"}}}},"404":{"description":"Workflow not deployed to the specified workspace"},"401":{"description":"User not authenticated"},"403":{"description":"User not authorized to make changes in this workspace"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs/user/catalogs/{deploy_workspace}/processes":{"get":{"tags":["Metadata APIs for processing - finding and executing workflows"],"summary":"List all available workflows in the specified workspace","description":"An endpoint to list all workflows deployed in a workspace","operationId":"list_processes_api_catalogue_stac_catalogs_user_catalogs__deploy_workspace__processes_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"deploy_workspace","in":"path","required":true,"schema":{"type":"string","description":"The name of the workspace to list workflows from","title":"Deploy Workspace"},"description":"The name of the workspace to list workflows from"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Maximum number of workflows to return, leaving this blank returns all","examples":[10],"title":"Limit"},"description":"Maximum number of workflows to return, leaving this blank returns all"},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","description":"Number of workflows to skip","examples":[0],"default":0,"title":"Skip"},"description":"Number of workflows to skip"}],"responses":{"200":{"description":"Workflows available in the specified workspace are returned in a list","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListProcessesResponse"}}}},"401":{"description":"User not authenticated"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Metadata APIs for processing - finding and executing workflows"],"summary":"Deploy a workflow to the specified workspace","description":"An endpoint to deploy a workflow to a specified workspace","operationId":"deploy_workflow_api_catalogue_stac_catalogs_user_catalogs__deploy_workspace__processes_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"deploy_workspace","in":"path","required":true,"schema":{"type":"string","description":"The name of the workspace to deploy the workflow to","title":"Deploy Workspace"},"description":"The name of the workspace to deploy the workflow to"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeployProcessResponse"}}}},"201":{"description":"Workflow created in the workspace successfully"},"400":{"description":"Invalid request"},"409":{"description":"Workflow with the same ID already deployed to the workspace"},"401":{"description":"User not authenticated"},"403":{"description":"User not authorized to make changes in this workspace"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs/user/catalogs/{deploy_workspace}/processes/{workflow_id}/execution":{"post":{"tags":["Metadata APIs for processing - finding and executing workflows"],"summary":"Execute a workflow from the specified workspace","description":"An endpoint to execute a workflow in a specified workspace","operationId":"execute_process_api_catalogue_stac_catalogs_user_catalogs__deploy_workspace__processes__workflow_id__execution_post","security":[{"HTTPBearer":[]}],"parameters":[{"name":"deploy_workspace","in":"path","required":true,"schema":{"type":"string","description":"The name of the workspace that contains the workflow to execute","title":"Deploy Workspace"},"description":"The name of the workspace that contains the workflow to execute"},{"name":"workflow_id","in":"path","required":true,"schema":{"type":"string","description":"The workflow ID of the workflow to execute","title":"Workflow Id"},"description":"The workflow ID of the workflow to execute"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExecuteProcessResponse"}}}},"201":{"description":"Workflow execution started and job created successfully"},"404":{"description":"Workflow not deployed to the specified workspace"},"401":{"description":"User not authenticated"},"403":{"description":"User not authorized to make changes in this workspace"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs/user/catalogs/{deploy_workspace}/jobs/{job_id}":{"get":{"tags":["Metadata APIs for processing - finding and executing workflows"],"summary":"Get job status","description":"An endpoint to get the status of a job","operationId":"process_status_api_catalogue_stac_catalogs_user_catalogs__deploy_workspace__jobs__job_id__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"deploy_workspace","in":"path","required":true,"schema":{"type":"string","description":"The name of the workspace in which the workflow was deployed","title":"Deploy Workspace"},"description":"The name of the workspace in which the workflow was deployed"},{"name":"job_id","in":"path","required":true,"schema":{"type":"string","description":"The ID of the job to get the status for","title":"Job Id"},"description":"The ID of the job to get the status for"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetJobStatusResponse"}}}},"204":{"description":"job status information returned"},"404":{"description":"Job ID does not exist in specified workspace"},"401":{"description":"User not authenticated"},"403":{"description":"User not authorized to make changes in this workspace"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Metadata APIs for processing - finding and executing workflows"],"summary":"Delete job from workspace","description":"An endpoint to delete a job from the specified workspace","operationId":"delete_job_api_catalogue_stac_catalogs_user_catalogs__deploy_workspace__jobs__job_id__delete","security":[{"HTTPBearer":[]}],"parameters":[{"name":"deploy_workspace","in":"path","required":true,"schema":{"type":"string","description":"The name of the workspace in which the running workflow was deployed","title":"Deploy Workspace"},"description":"The name of the workspace in which the running workflow was deployed"},{"name":"job_id","in":"path","required":true,"schema":{"type":"string","description":"The ID of the job to delete","title":"Job Id"},"description":"The ID of the job to delete"}],"responses":{"200":{"description":"Job deleted successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteJobResponse"}}}},"404":{"description":"Job ID not found"},"401":{"description":"User not authenticated"},"403":{"description":"User not authorized to make changes in this workspace"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs/user/catalogs/{deploy_workspace}/jobs/{job_id}/results":{"get":{"tags":["Metadata APIs for processing - finding and executing workflows"],"summary":"Get job results","description":"An endpoint to get the results of a completed job","operationId":"process_results_api_catalogue_stac_catalogs_user_catalogs__deploy_workspace__jobs__job_id__results_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"deploy_workspace","in":"path","required":true,"schema":{"type":"string","description":"The name of the workspace in which the workflow was deployed","title":"Deploy Workspace"},"description":"The name of the workspace in which the workflow was deployed"},{"name":"job_id","in":"path","required":true,"schema":{"type":"string","description":"The ID of the job to get the results for","title":"Job Id"},"description":"The ID of the job to get the results for"}],"responses":{"200":{"description":"Job results returned as a Collection","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetJobResultsResponse"}}}},"404":{"description":"Job with this ID does not exist in the workspace"},"401":{"description":"User not authenticated"},"403":{"description":"User not authorized to make changes in this workspace"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs/user/catalogs/{deploy_workspace}/jobs":{"get":{"tags":["Metadata APIs for processing - finding and executing workflows"],"summary":"Get details for all available jobs in a workspace","description":"An endpoint to list all jobs in a specified workspace","operationId":"get_deployed_workspaced_jobs_api_catalogue_stac_catalogs_user_catalogs__deploy_workspace__jobs_get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"deploy_workspace","in":"path","required":true,"schema":{"type":"string","description":"The name of the workspace to get the jobs in","title":"Deploy Workspace"},"description":"The name of the workspace to get the jobs in"},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Maximum number of jobs to return, leaving this blank returns all","title":"Limit"},"description":"Maximum number of jobs to return, leaving this blank returns all"},{"name":"skip","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Number of jobs to skip","default":0,"title":"Skip"},"description":"Number of jobs to skip"},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"enum":["accepted","running","successful","failed","dismissed"],"type":"string"}},{"type":"null"}],"description":"A list of job statuses to filter for","examples":[["accepted","running"]],"title":"Status"},"description":"A list of job statuses to filter for"},{"name":"datetime","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"A date range to filter for the created date of workflow jobs.","examples":["2023-01-01T00:00:00Z/2023-01-02T00:00:00Z"],"title":"Datetime"},"description":"A date range to filter for the created date of workflow jobs."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAllJobStatusResponse"}}}},"204":{"description":"Job details returned successfully"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/catalogue/stac/catalogs/user/catalogs/{deploy_workspace}/jobs/{job_id}/{file_name}":{"get":{"tags":["Metadata APIs for processing - finding and executing workflows"],"summary":"Get job log file","description":"An endpoint to get the logs of a job","operationId":"get_process_log_api_catalogue_stac_catalogs_user_catalogs__deploy_workspace__jobs__job_id___file_name__get","security":[{"HTTPBearer":[]}],"parameters":[{"name":"deploy_workspace","in":"path","required":true,"schema":{"type":"string","description":"The name of the workspace in which the running workflow was deployed","title":"Deploy Workspace"},"description":"The name of the workspace in which the running workflow was deployed"},{"name":"job_id","in":"path","required":true,"schema":{"type":"string","description":"The ID of the job to get the results for","title":"Job Id"},"description":"The ID of the job to get the results for"},{"name":"file_name","in":"path","required":true,"schema":{"type":"string","description":"The name of the log file to retrieve","title":"File Name"},"description":"The name of the log file to retrieve"}],"responses":{"200":{"description":"Job log file returned successfully","content":{"text/plain":{"schema":{"type":"string"}}}},"500":{"description":"Error occurred while retrieving the log file"},"404":{"description":"Job ID or log filename not found"},"401":{"description":"User not authenticated"},"403":{"description":"User not authorized to make changes in this workspace"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/titiler/core/cog/bounds":{"get":{"tags":["Visualization and mapping - COG/GeoTiff"],"summary":"Bounds","description":"Return the bounds of the COG.","operationId":"bounds_core_cog_bounds_get","parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string","description":"Dataset URL","title":"Url"},"description":"Dataset URL"},{"name":"crs","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Coordinate Reference System.","title":"Crs"},"description":"Coordinate Reference System."}],"responses":{"200":{"description":"Return dataset's bounds.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bounds"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/titiler/core/cog/info":{"get":{"tags":["Visualization and mapping - COG/GeoTiff"],"summary":"Info","description":"Return dataset's basic info.","operationId":"info_core_cog_info_get","parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string","description":"Dataset URL","title":"Url"},"description":"Dataset URL"}],"responses":{"200":{"description":"Return dataset's basic info.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Info"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/titiler/core/cog/info.geojson":{"get":{"tags":["Visualization and mapping - COG/GeoTiff"],"summary":"Info Geojson","description":"Return dataset's basic info as a GeoJSON feature.","operationId":"info_geojson_core_cog_info_geojson_get","parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string","description":"Dataset URL","title":"Url"},"description":"Dataset URL"},{"name":"crs","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Coordinate Reference System.","title":"Crs"},"description":"Coordinate Reference System."}],"responses":{"200":{"description":"Return dataset's basic info as a GeoJSON feature.","content":{"application/geo+json":{"schema":{"$ref":"#/components/schemas/Feature_Union_Polygon__MultiPolygon___Info_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/titiler/core/cog/statistics":{"get":{"tags":["Visualization and mapping - COG/GeoTiff"],"summary":"Statistics","description":"Get Dataset statistics.","operationId":"statistics_core_cog_statistics_get","parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string","description":"Dataset URL","title":"Url"},"description":"Dataset URL"},{"name":"bidx","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"integer"}},{"type":"null"}],"title":"Band indexes","description":"Dataset band indexes"},"description":"Dataset band indexes","examples":{"one-band":{"value":[1]},"multi-bands":{"value":[1,2,3]}}},{"name":"expression","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Band Math expression","description":"rio-tiler's band math expression"},"description":"rio-tiler's band math expression","examples":{"simple":{"description":"Simple band math.","value":"b1/b2"},"multi-bands":{"description":"Semicolon (;) delimited expressions (band1: b1/b2, band2: b2+b3).","value":"b1/b2;b2+b3"}}},{"name":"nodata","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"null"}],"title":"Nodata value","description":"Overwrite internal Nodata value"},"description":"Overwrite internal Nodata value"},{"name":"unscale","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Apply internal Scale/Offset","description":"Apply internal Scale/Offset. Defaults to `False`."},"description":"Apply internal Scale/Offset. Defaults to `False`."},{"name":"resampling","in":"query","required":false,"schema":{"anyOf":[{"enum":["nearest","bilinear","cubic","cubic_spline","lanczos","average","mode","gauss","rms"],"type":"string"},{"type":"null"}],"description":"RasterIO resampling algorithm. Defaults to `nearest`.","title":"Resampling"},"description":"RasterIO resampling algorithm. Defaults to `nearest`."},{"name":"reproject","in":"query","required":false,"schema":{"anyOf":[{"enum":["nearest","bilinear","cubic","cubic_spline","lanczos","average","mode","max","min","med","q1","q3","sum","rms"],"type":"string"},{"type":"null"}],"description":"WarpKernel resampling algorithm (only used when doing re-projection). Defaults to `nearest`.","title":"Reproject"},"description":"WarpKernel resampling algorithm (only used when doing re-projection). Defaults to `nearest`."},{"name":"max_size","in":"query","required":false,"schema":{"type":"integer","default":1024,"title":"Max Size"}},{"name":"height","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Height"}},{"name":"width","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Width"}},{"name":"algorithm","in":"query","required":false,"schema":{"enum":["hillshade","slope","contours","normalizedIndex","terrarium","terrainrgb","cast","ceil","floor"],"type":"string","description":"Algorithm name","title":"Algorithm"},"description":"Algorithm name"},{"name":"algorithm_params","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Algorithm parameter","title":"Algorithm Params"},"description":"Algorithm parameter"},{"name":"categorical","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Return statistics for categorical dataset. Defaults to `False`","title":"Categorical"},"description":"Return statistics for categorical dataset. Defaults to `False`"},{"name":"c","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"anyOf":[{"type":"number"},{"type":"integer"}]}},{"type":"null"}],"title":"Pixels values for categories.","description":"List of values for which to report counts.","examples":[1,2,3]},"description":"List of values for which to report counts."},{"name":"p","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"integer"}},{"type":"null"}],"title":"Percentile values","description":"List of percentile values (default to [2, 98]).","examples":[2,5,95,98]},"description":"List of percentile values (default to [2, 98])."},{"name":"histogram_bins","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Histogram bins.","description":"\nDefines the number of equal-width bins in the given range (10, by default).\n\nIf bins is a sequence (comma `,` delimited values), it defines a monotonically increasing array of bin edges, including the rightmost edge, allowing for non-uniform bin widths.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            "},"description":"\nDefines the number of equal-width bins in the given range (10, by default).\n\nIf bins is a sequence (comma `,` delimited values), it defines a monotonically increasing array of bin edges, including the rightmost edge, allowing for non-uniform bin widths.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            ","examples":{"simple":{"description":"Defines the number of equal-width bins","value":8},"array":{"description":"Defines custom bin edges (comma `,` delimited values)","value":"0,100,200,300"}}},{"name":"histogram_range","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Histogram range","description":"\nComma `,` delimited range of the bins.\n\nThe lower and upper range of the bins. If not provided, range is simply (a.min(), a.max()).\n\nValues outside the range are ignored. The first element of the range must be less than or equal to the second.\nrange affects the automatic bin computation as well.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            ","examples":"0,1000"},"description":"\nComma `,` delimited range of the bins.\n\nThe lower and upper range of the bins. If not provided, range is simply (a.min(), a.max()).\n\nValues outside the range are ignored. The first element of the range must be less than or equal to the second.\nrange affects the automatic bin computation as well.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            "}],"responses":{"200":{"description":"Return dataset's statistics.","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/BandStatistics"},"title":"Response Statistics Core Cog Statistics Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Visualization and mapping - COG/GeoTiff"],"summary":"Geojson Statistics","description":"Get Statistics from a geojson feature or featureCollection.","operationId":"geojson_statistics_core_cog_statistics_post","parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string","description":"Dataset URL","title":"Url"},"description":"Dataset URL"},{"name":"coord_crs","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Coordinate Reference System of the input coords. Default to `epsg:4326`.","title":"Coord Crs"},"description":"Coordinate Reference System of the input coords. Default to `epsg:4326`."},{"name":"dst_crs","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Output Coordinate Reference System.","title":"Dst Crs"},"description":"Output Coordinate Reference System."},{"name":"bidx","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"integer"}},{"type":"null"}],"title":"Band indexes","description":"Dataset band indexes"},"description":"Dataset band indexes","examples":{"one-band":{"value":[1]},"multi-bands":{"value":[1,2,3]}}},{"name":"expression","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Band Math expression","description":"rio-tiler's band math expression"},"description":"rio-tiler's band math expression","examples":{"simple":{"description":"Simple band math.","value":"b1/b2"},"multi-bands":{"description":"Semicolon (;) delimited expressions (band1: b1/b2, band2: b2+b3).","value":"b1/b2;b2+b3"}}},{"name":"nodata","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"null"}],"title":"Nodata value","description":"Overwrite internal Nodata value"},"description":"Overwrite internal Nodata value"},{"name":"unscale","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Apply internal Scale/Offset","description":"Apply internal Scale/Offset. Defaults to `False`."},"description":"Apply internal Scale/Offset. Defaults to `False`."},{"name":"resampling","in":"query","required":false,"schema":{"anyOf":[{"enum":["nearest","bilinear","cubic","cubic_spline","lanczos","average","mode","gauss","rms"],"type":"string"},{"type":"null"}],"description":"RasterIO resampling algorithm. Defaults to `nearest`.","title":"Resampling"},"description":"RasterIO resampling algorithm. Defaults to `nearest`."},{"name":"reproject","in":"query","required":false,"schema":{"anyOf":[{"enum":["nearest","bilinear","cubic","cubic_spline","lanczos","average","mode","max","min","med","q1","q3","sum","rms"],"type":"string"},{"type":"null"}],"description":"WarpKernel resampling algorithm (only used when doing re-projection). Defaults to `nearest`.","title":"Reproject"},"description":"WarpKernel resampling algorithm (only used when doing re-projection). Defaults to `nearest`."},{"name":"max_size","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Max Size"}},{"name":"height","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Height"}},{"name":"width","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Width"}},{"name":"algorithm","in":"query","required":false,"schema":{"enum":["hillshade","slope","contours","normalizedIndex","terrarium","terrainrgb","cast","ceil","floor"],"type":"string","description":"Algorithm name","title":"Algorithm"},"description":"Algorithm name"},{"name":"algorithm_params","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Algorithm parameter","title":"Algorithm Params"},"description":"Algorithm parameter"},{"name":"categorical","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"description":"Return statistics for categorical dataset. Defaults to `False`","title":"Categorical"},"description":"Return statistics for categorical dataset. Defaults to `False`"},{"name":"c","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"anyOf":[{"type":"number"},{"type":"integer"}]}},{"type":"null"}],"title":"Pixels values for categories.","description":"List of values for which to report counts.","examples":[1,2,3]},"description":"List of values for which to report counts."},{"name":"p","in":"query","required":false,"schema":{"anyOf":[{"type":"array","items":{"type":"integer"}},{"type":"null"}],"title":"Percentile values","description":"List of percentile values (default to [2, 98]).","examples":[2,5,95,98]},"description":"List of percentile values (default to [2, 98])."},{"name":"histogram_bins","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Histogram bins.","description":"\nDefines the number of equal-width bins in the given range (10, by default).\n\nIf bins is a sequence (comma `,` delimited values), it defines a monotonically increasing array of bin edges, including the rightmost edge, allowing for non-uniform bin widths.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            "},"description":"\nDefines the number of equal-width bins in the given range (10, by default).\n\nIf bins is a sequence (comma `,` delimited values), it defines a monotonically increasing array of bin edges, including the rightmost edge, allowing for non-uniform bin widths.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            ","examples":{"simple":{"description":"Defines the number of equal-width bins","value":8},"array":{"description":"Defines custom bin edges (comma `,` delimited values)","value":"0,100,200,300"}}},{"name":"histogram_range","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Histogram range","description":"\nComma `,` delimited range of the bins.\n\nThe lower and upper range of the bins. If not provided, range is simply (a.min(), a.max()).\n\nValues outside the range are ignored. The first element of the range must be less than or equal to the second.\nrange affects the automatic bin computation as well.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            ","examples":"0,1000"},"description":"\nComma `,` delimited range of the bins.\n\nThe lower and upper range of the bins. If not provided, range is simply (a.min(), a.max()).\n\nValues outside the range are ignored. The first element of the range must be less than or equal to the second.\nrange affects the automatic bin computation as well.\n\nlink: https://numpy.org/doc/stable/reference/generated/numpy.histogram.html\n            "}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/FeatureCollection"},{"$ref":"#/components/schemas/Feature"}],"description":"GeoJSON Feature or FeatureCollection.","title":"Geojson"}}}},"responses":{"200":{"description":"Return dataset's statistics from feature or featureCollection.","content":{"application/geo+json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/FeatureCollection_Feature_Annotated_Union_Point__MultiPoint__LineString__MultiLineString__Polygon__MultiPolygon__GeometryCollection___FieldInfo_annotation_NoneType__required_True__discriminator__type_____StatisticsInGeoJSON__"},{"$ref":"#/components/schemas/Feature_Annotated_Union_Point__MultiPoint__LineString__MultiLineString__Polygon__MultiPolygon__GeometryCollection___FieldInfo_annotation_NoneType__required_True__discriminator__type_____StatisticsInGeoJSON_"}],"title":"Response Geojson Statistics Core Cog Statistics Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/titiler/core/cog/tiles":{"get":{"tags":["Visualization and mapping - COG/GeoTiff"],"summary":"Retrieve a list of available raster tilesets for the specified dataset.","description":"Retrieve a list of available raster tilesets for the specified dataset.","operationId":"tileset_list_core_cog_tiles_get","parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string","description":"Dataset URL","title":"Url"},"description":"Dataset URL"},{"name":"crs","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Coordinate Reference System.","title":"Crs"},"description":"Coordinate Reference System."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TileSetList"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/titiler/core/cog/tiles/{tileMatrixSetId}":{"get":{"tags":["Visualization and mapping - COG/GeoTiff"],"summary":"Retrieve the raster tileset metadata for the specified dataset and tiling scheme (tile matrix set).","description":"Retrieve the raster tileset metadata for the specified dataset and tiling scheme (tile matrix set).","operationId":"tileset_core_cog_tiles__tileMatrixSetId__get","parameters":[{"name":"tileMatrixSetId","in":"path","required":true,"schema":{"enum":["CDB1GlobalGrid","CanadianNAD83_LCC","EuropeanETRS89_LAEAQuad","GNOSISGlobalGrid","LINZAntarticaMapTilegrid","NZTM2000Quad","UPSAntarcticWGS84Quad","UPSArcticWGS84Quad","UTM31WGS84Quad","WGS1984Quad","WebMercatorQuad","WorldCRS84Quad","WorldMercatorWGS84Quad","EPSG6933","BritishNationalGrid"],"type":"string","description":"Identifier selecting one of the TileMatrixSetId supported.","title":"Tilematrixsetid"},"description":"Identifier selecting one of the TileMatrixSetId supported."},{"name":"url","in":"query","required":true,"schema":{"type":"string","description":"Dataset URL","title":"Url"},"description":"Dataset URL"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TileSet"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/titiler/core/cog/tiles/{tileMatrixSetId}/{z}/{x}/{y}@{scale}x.{format}":{"get":{"tags":["Visualization and mapping - COG/GeoTiff"],"summary":"Tile","description":"Create map tile from a dataset.","operationId":"tile_core_cog_tiles__tileMatrixSetId___z___x___y___scale_x__format__get","parameters":[{"name":"z","in":"path","required":true,"schema":{"type":"integer","description":"Identifier (Z) selecting one of the scales defined in the TileMatrixSet and representing the scaleDenominator the tile.","title":"Z"},"description":"Identifier (Z) selecting one of the scales defined in the TileMatrixSet and representing the scaleDenominator the tile."},{"name":"x","in":"path","required":true,"schema":{"type":"integer","description":"Column (X) index of the tile on the selected TileMatrix. It cannot excee
[...]
